--[[----------------------------------------------------------------------------
InitPlugin

This module creates a task that monitors all presses of the Option / Alt
modifier key.  LrHiddenLua._G.debuggingToolkit_keyState.option is true if the
key is pressed, false otherwise.
------------------------------------------------------------------------------]]

local Require = require "Require".path ("../common").reload ()
local Debug = require "Debug".init ()
require "strict"

local LrApplication = import "LrApplication"
local LrFunctionContext = import "LrFunctionContext"
local LrTasks = import "LrTasks"

local pcall = Debug.pcall
local postAsyncTaskWithContext = LrFunctionContext.postAsyncTaskWithContext
local showErrors = Debug.showErrors
local sleep = LrTasks.sleep

local success, LrHiddenLua = pcall (import, "LrHiddenLua")
if success then
    local keyState = {}
    LrHiddenLua._G.debuggingToolkit_keyState = keyState

    postAsyncTaskWithContext ("", showErrors (function (context)
        LrApplication.addKeyModifierObserver (context, "option", "", 
            showErrors (function (key, pressed)
                keyState.option = pressed
                end))
        sleep (math.huge)
        end))
    end

