local Require = require "Require".path ("../common")
local Debug = require "Debug".init ()
require "strict"

local LrApplication = import "LrApplication"
local LrHiddenLua = import "LrHiddenLua"
local version = LrApplication.versionTable ()

local LrApplicationView = import "LrApplicationView"
local LrBinding = import "LrBinding"
local LrColor = import "LrColor"
local LrDate = import "LrDate"
local LrDevelopController = version.major >= 6 and import "LrDevelopController"
    or nil
local LrDialogs = import "LrDialogs"
local LrExportSettings = import "LrExportSettings"
local LrExportSettings = import "LrExportSettings"
local LrErrors = import "LrErrors"
local LrFileUtils = import "LrFileUtils"
local LrFtp = import "LrFtp"
local LrFunctionContext = import "LrFunctionContext"
local LrHttp = import "LrHttp"
local LrPasswords = import "LrPasswords"
local LrPathUtils = import "LrPathUtils"
local LrProgressScope = import "LrProgressScope"
local LrPrefs = import "LrPrefs"
local LrSelection = version.major >= 6 and import "LrSelection" or nil
local LrSocket = import "LrSocket"
local LrShell = import "LrShell"
local LrStringUtils = import "LrStringUtils"
local LrSystemInfo = import "LrSystemInfo"
local LrTasks = import "LrTasks"
local LrView = import "LrView"
local LrXml = import "LrXml"

local CatalogSQL = require "catalogSQL"
local ExifTool = require "ExifTool"
local Timer = require "Timer"
local Util = require "Util"

local catalog = LrApplication.activeCatalog ()
local showErrors = Debug.showErrors
local targetPhoto = catalog:getTargetPhoto ()
local targetPhotos = catalog:getTargetPhotos ()

Debug.pause (false)
